# Interface FeatureStreamProperties

Properties that can be used to construct or update an instance of FeatureStream.

interface FeatureStreamProperties {
features?: AsyncIterable<Feature, any, any> | Iterable<Feature, any, any>;
id?: string;
title?: string;
}

#### Hierarchy (view full)

- EntityProperties
  - FeatureStreamProperties

#####
Index

### Properties

features?
id?
title?

##
Properties

### `Optional` features

features?: AsyncIterable<Feature, any, any> | Iterable<Feature, any, any>

The features in the feature stream.

### `Optional` id

id?: string

The unique ID to assign to the entity. If not specified, one will be generated.

Inherited from EntityProperties.id

### `Optional` title

title?: string

A human readable title describing the feature results.